Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node

## Name

librdf_new_node -- Constructor - create a new librdf_node object with a private identifier

## Synopsis

``librdf_node* `librdf_new_node`` (librdf_world * `world`);`

## Arguments

`world`

  redland world object

## Description

Calls librdf_new_node_from_blank_identifier(world, NULL) to construct a new redland blank node identifier and make a new librdf_node object for it.

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_finish_node | Up | librdf_new_node_from_uri_string